using CMSMicroservice.Domain.Events;
using Microsoft.Extensions.Logging;

namespace CMSMicroservice.Application.TagCQ.EventHandlers;

public class UpdateTagEventHandler : INotificationHandler<UpdateTagEvent>
{
    private readonly ILogger<UpdateTagEventHandler> _logger;

    public UpdateTagEventHandler(ILogger<UpdateTagEventHandler> logger)
    {
        _logger = logger;
    }

    public Task Handle(UpdateTagEvent notification, CancellationToken cancellationToken)
    {
        _logger.LogInformation("Domain Event: {DomainEvent}", notification.GetType().Name);

        return Task.CompletedTask;
    }
}

